MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
PosixCond Class Reference

Low-level wrapper for a pthread_cond_t. More...

`#include <PosixCond.hxx>`

Inheritance diagram for PosixCond:
[legend]

## Public Member Functions
| PosixCond ()
| ~PosixCond ()
| PosixCond (const PosixCond &other)=delete
PosixCond & | operator= (const PosixCond &other)=delete
void | signal ()
void | broadcast ()
void | wait (PosixMutex &mutex)
bool | timed_wait (PosixMutex &mutex, std::chrono::steady_clock::duration timeout)

## Detailed Description

Low-level wrapper for a pthread_cond_t.

Definition at line 42 of file PosixCond.hxx.

## Constructor & Destructor Documentation

PosixCond::PosixCond | ( |  | ) |
| inline

Definition at line 53 of file PosixCond.hxx.

PosixCond::~PosixCond | ( |  | ) |
| inline

Definition at line 57 of file PosixCond.hxx.

PosixCond::PosixCond | ( | const PosixCond & | other | ) |
| delete

## Member Function Documentation

void PosixCond::broadcast | ( |  | ) |
| inline

Definition at line 69 of file PosixCond.hxx.

PosixCond& PosixCond::operator= | ( | const PosixCond & | other | ) |
| delete

void PosixCond::signal | ( |  | ) |
| inline

Definition at line 65 of file PosixCond.hxx.

bool PosixCond::timed_wait | ( | PosixMutex & | mutex,
|  | std::chrono::steady_clock::duration | timeout
| ) |  |
| inline

Definition at line 95 of file PosixCond.hxx.

void PosixCond::wait | ( | PosixMutex & | mutex | ) |
| inline

Definition at line 73 of file PosixCond.hxx.

The documentation for this class was generated from the following file:

- thread/PosixCond.hxx